Can I use Netflix on OSMC?(post 4)


#1

Hi guys,
I’ve never consider Netflix since couple of days before when a firend of mine told me about it… :slight_smile:

I’ve installed OSMC (VERSION_ID=“2017.10-1”) on my Raspberry, can I use Netflix on it? If yes how to do it in the best way?

Thanks!


Netfix error after update
#2

I recently incorporated Netflix and Amazon into my RPi3 following the instructions outlined here: https://laclaro.wordpress.com/2017/10/14/rpi-streaming-station-with-amazon-instant-video-and-netflix/


#3

I’ll give it a try thanks!


#4

Here is a small guide for Pi 2, 3 and Vero4k, remember Netflix addon is still under development and Kodi 18 is Alpha:

Install kodi v.18:

sudo nano /etc/apt/sources.list

add the following line at the bottom

deb http://download.osmc.tv/dev/gmc-18 gmc-18 main

Then run these commands, between gpg.key and | sudo, there are numbers that shouldn’t be copy/pasted:

wget -qO - http://download.osmc.tv/dev/gmc-18/gpg.key | sudo apt-key add
sudo apt-get update
sudo apt-get dist-upgrade
sudo systemctl start mediacenter

Crypto for netflix plugin:

sudo apt-get install python-crypto
sudo apt-get install build-essential python-pip
sudo pip install -U setuptools
sudo pip install wheel
sudo pip install pycryptodomex

Getting plugin.video.netflix.zip

google “github plugin.video.netflix.zip”, transfer the file to your osmc-device
or

 wget https://github.com/asciidisco/plugin.video.netflix/archive/master.zip
 mv master.zip  plugin.video.netflix.zip

In Kodi:

goto Settings
choose Add-on browser
choose Install from zip file
navigate to homefolder
choose plugin.video.netflix.zip
go back to main menu
goto Video->Video add-ons
If you dont have netflix there, go to my addons, video-addons, netflix and enable.
First time you start Netflix it will ask you for your login credentials.
When you first start a video in netflix plugin, it will notice you dont have libwidvine installed and help you install it. (takes a while, will download an image and extract the latest liwidvine, and install it. Let it run as root, when it asks)

For Pi’s you got to run in MMAL, omxplayer will not work.

You might need to restart your OSMC device after installation.

Edit: Added Libwidevine extraction bit
Edit 2: Updated install procedure to reflect the OSMC-v18-alpha skin
Edit 3: Plugin now extracts libwidvine by it self, no need for extraction script.


How to use Netflix on OSMC (RPI2)
[TESTING] Kodi 18 (Leia) builds for Raspberry Pi
Vero 4K Netflix and Streaming general
[TESTING] Kodi 18 (Leia) builds for Vero 2 & 4K
NETFLIX wannabee ! - I would like some guides
RPi 3 B, Kodi 18, Addons do not install from repository
Vero 4K Netflix and Streaming general
Kodi 18 and netflix
Vero 4K Netflix and Streaming general
Netflix addon
OSMC with Noobs, no wifi
#5

Thanks.

I was able to make it work on my Rpi 3.

However, on Stretch, my Hifiberry Digi+ stopped working.


#6

There was some changes in Leila build, which gmc is on top of


#7

Hi all, thanks for the guide.
I was able to install and log in to my netflix account without a problem.

The issue is video playback, which does not work. After selecting a movie or an episode, the screen just stays black.
Here is the link to my logs, obtained with grab-logs -A.
https://paste.osmc.tv/igazefawug

I think the problem is the one below.
17:24:09.155 T:1215390464 INFO: Output - renderer not configured

Do you have any idea how to solve this problem?

[EDIT] I was able to finally make it work. The problem was the hardware acceleration of omxplayer. Disabling it made my RP3B work like a charm.
Again, thank you so much for this guide


#8

followed your guide on a Vero4K. installation only complained about 2 addons missing (streaming.adaptive and pycryptodome) but installed anyway.
Logged into Netflix and played an episode without issues.

Only “issues” I have seen (but might be related to my skin not configured yet) is that I could not differentiate between played and unplayed episodes and my favourite skin (Mimic) not yet available for Leia.

N.

thanks.


#9

Hi!
I have problem with opening of Pacific Rim on Netflix, on Raspberry Pi 3. I tried to turn off accelerations. I even tried other distributions. OSMC is starting the movie and then I can see a sad face and the system is rebooting. I’m waiting for all clues. I have not seen this problem at other films yet. I’m waiting for any clues.
Greetings


#10

Logs would be a great start.


#11

Here it is:
http://paste.osmc.tv/noqezuzedo
Should I send you something else?

It can have some errors with bootloader because I use berryboot.


#12

I’ve followed the tutorial in the laclaro link, as well as the concise version posted by Joakim. I’m able to get to the install screen for the add-on from the repository, but I am getting this error message:
the dependency on script.module.pycryptodome 3.4.3 could not be satisfied

The one step I haven’t been able to figure out is installing Stretch. However, I’m running an up-to-date version of OSMC, and am not sure if a Stretch install is necessary.

I’ve attempted to install the add-on from version 12.7 to 12.0 and the error message is the same with all versions. I’m on a RasPi 3.

any suggestions would be much appreciated!


#13

Stretch is required to install latest Kodi version from GMC so that would be recommended if you want to test Netflix

The error message is “normal” and can be ignored if you have followed successfully all steps from @joakim_s


#14

Does this mean you can’t play the file in any distribution? If so, then it’s not a OSMC problem. I’d suggest the Kodi forums for help.


#15

I’ve installed Stretch following the instructions posted above, but I am unable to find Netflix in the addon browser. The error message is also still appearing after I attempt to install. Should I uninstall everything and start over, or am I missing something?


#16

Have you read the instruction above?


#17

Yes, I have. After installing stretch Netflix is now enabled in the addon repository, but does not appear in Videos > addons

I’ve rebooted a few times, and it’s still a little ghost :ghost:

Would it make sense to uninstall everything, delete the zip and start again?


#18

I would send the logs to the developer of Netflix addon.

23:46:54.549 T:1417671424 WARNING: Invalid media type ""

This could indicate the stream the plugin tries to stream is incorrect.


#19

Hi there, thought I’d try one more time to see if anyone has had a similar problem. I am unable to install the Netfilx plugin. I am running OSMC on a RasPi3. I have installed Stretch. I have followed all of the instructions detailed by Joakim_Sandstrom at the top of this post.

When I go to
Settings>Add-on Browser>Install from repository>Netflix Addon Repository>Video add-ons>Netflix
I am given the option to Install. However, no matter what version I select to install I receive an error message that the dependency on script.module.pycryptodome version 3.4.3 cannot be satisfied.

The add-on is not visible in Videos>Video add-ons, which suggests that it has not been installed at all.

My pycryptodome repository is 3.4.7. Can this be causing the problem?

Can anyone point me in the right direction as to what needs to be tweaked? I have an up-to-date version of Kodi.


#20

I say click ok on dependency page since kodi doesn"t see them even if they are in the system.

Mobile rigjt now but will check logs later.